Index: abi/include/abi/elf.h
===================================================================
--- abi/include/abi/elf.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ abi/include/abi/elf.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -35,4 +35,6 @@
 #ifndef ABI_ELF_H_
 #define ABI_ELF_H_
+
+#include <stdint.h>
 
 /**
Index: kernel/arch/abs32le/include/arch/fpu_context.h
===================================================================
--- kernel/arch/abs32le/include/arch/fpu_context.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/include/arch/fpu_context.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,4 @@
 #define KERN_abs32le_FPU_CONTEXT_H_
 
-#include <typedefs.h>
-
 #define FPU_CONTEXT_ALIGN  16
 
Index: kernel/arch/abs32le/include/arch/interrupt.h
===================================================================
--- kernel/arch/abs32le/include/arch/interrupt.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/include/arch/interrupt.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_abs32le_INTERRUPT_H_
 
-#include <typedefs.h>
 #include <arch/istate.h>
 
Index: kernel/arch/abs32le/include/arch/istate.h
===================================================================
--- kernel/arch/abs32le/include/arch/istate.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/include/arch/istate.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,4 +37,5 @@
 
 #include <trace.h>
+#include <typedefs.h>
 
 #ifdef KERNEL
Index: kernel/arch/abs32le/include/arch/mm/asid.h
===================================================================
--- kernel/arch/abs32le/include/arch/mm/asid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/include/arch/mm/asid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,5 +34,5 @@
 #define KERN_abs32le_ASID_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 typedef uint32_t asid_t;
Index: kernel/arch/abs32le/include/arch/mm/frame.h
===================================================================
--- kernel/arch/abs32le/include/arch/mm/frame.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/include/arch/mm/frame.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -41,6 +41,4 @@
 #define FRAME_LOWPRIO  0
 
-#include <typedefs.h>
-
 extern void frame_low_arch_init(void);
 extern void frame_high_arch_init(void);
Index: kernel/arch/abs32le/include/arch/proc/task.h
===================================================================
--- kernel/arch/abs32le/include/arch/proc/task.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/include/arch/proc/task.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_abs32le_TASK_H_
 
-#include <typedefs.h>
 #include <adt/bitmap.h>
 
Index: kernel/arch/abs32le/include/arch/proc/thread.h
===================================================================
--- kernel/arch/abs32le/include/arch/proc/thread.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/include/arch/proc/thread.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,4 @@
 #define KERN_abs32le_THREAD_H_
 
-#include <typedefs.h>
-
 typedef struct {
 } thread_arch_t;
Index: kernel/arch/abs32le/src/cpu/cpu.c
===================================================================
--- kernel/arch/abs32le/src/cpu/cpu.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/src/cpu/cpu.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #include <cpu.h>
 #include <arch.h>
-#include <typedefs.h>
 #include <print.h>
 #include <fpu_context.h>
@@ -57,5 +56,5 @@
 }
 
-void cpu_print_report(cpu_t* cpu)
+void cpu_print_report(cpu_t *cpu)
 {
 }
Index: kernel/arch/abs32le/src/debug/stacktrace.c
===================================================================
--- kernel/arch/abs32le/src/debug/stacktrace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/src/debug/stacktrace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,6 +34,6 @@
 
 #include <stacktrace.h>
+#include <stdbool.h>
 #include <syscall/copy.h>
-#include <typedefs.h>
 
 bool kernel_stack_trace_context_validate(stack_trace_context_t *ctx)
Index: kernel/arch/abs32le/src/mm/page.c
===================================================================
--- kernel/arch/abs32le/src/mm/page.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/src/mm/page.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -39,5 +39,4 @@
 #include <mm/page.h>
 #include <mm/as.h>
-#include <typedefs.h>
 #include <align.h>
 #include <config.h>
Index: kernel/arch/abs32le/src/userspace.c
===================================================================
--- kernel/arch/abs32le/src/userspace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/abs32le/src/userspace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,5 +34,5 @@
 
 #include <userspace.h>
-#include <typedefs.h>
+#include <stdbool.h>
 #include <arch.h>
 #include <abi/proc/uarg.h>
Index: kernel/arch/amd64/include/arch/atomic.h
===================================================================
--- kernel/arch/amd64/include/arch/atomic.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/include/arch/atomic.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,4 @@
 #define KERN_amd64_ATOMIC_H_
 
-#include <typedefs.h>
 #include <arch/barrier.h>
 #include <preemption.h>
Index: kernel/arch/amd64/include/arch/cpuid.h
===================================================================
--- kernel/arch/amd64/include/arch/cpuid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/include/arch/cpuid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -48,5 +48,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 typedef struct {
Index: kernel/arch/amd64/include/arch/interrupt.h
===================================================================
--- kernel/arch/amd64/include/arch/interrupt.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/include/arch/interrupt.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,7 +36,7 @@
 #define KERN_amd64_INTERRUPT_H_
 
-#include <typedefs.h>
 #include <arch/istate.h>
 #include <arch/pm.h>
+#include <stdint.h>
 
 #define IVT_ITEMS  IDT_ITEMS
Index: kernel/arch/amd64/include/arch/mm/frame.h
===================================================================
--- kernel/arch/amd64/include/arch/mm/frame.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/include/arch/mm/frame.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -43,6 +43,4 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
-
 extern void frame_low_arch_init(void);
 extern void frame_high_arch_init(void);
Index: kernel/arch/amd64/include/arch/proc/task.h
===================================================================
--- kernel/arch/amd64/include/arch/proc/task.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/include/arch/proc/task.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,6 @@
 #define KERN_amd64_TASK_H_
 
-#include <typedefs.h>
 #include <adt/bitmap.h>
+#include <stddef.h>
 
 typedef struct {
Index: kernel/arch/amd64/include/arch/proc/thread.h
===================================================================
--- kernel/arch/amd64/include/arch/proc/thread.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/include/arch/proc/thread.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_amd64_THREAD_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 typedef struct {
Index: kernel/arch/amd64/include/arch/vreg.h
===================================================================
--- kernel/arch/amd64/include/arch/vreg.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/include/arch/vreg.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -40,5 +40,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 extern uint64_t *vreg_ptr;
Index: kernel/arch/amd64/src/amd64.c
===================================================================
--- kernel/arch/amd64/src/amd64.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/src/amd64.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -35,5 +35,5 @@
 #include <arch.h>
 #include <arch/arch.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <errno.h>
 #include <mem.h>
Index: kernel/arch/amd64/src/cpu/cpu.c
===================================================================
--- kernel/arch/amd64/src/cpu/cpu.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/src/cpu/cpu.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -39,5 +39,4 @@
 
 #include <arch.h>
-#include <typedefs.h>
 #include <print.h>
 #include <fpu_context.h>
Index: kernel/arch/amd64/src/ddi/ddi.c
===================================================================
--- kernel/arch/amd64/src/ddi/ddi.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/src/ddi/ddi.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #include <arch/ddi/ddi.h>
 #include <proc/task.h>
-#include <typedefs.h>
 #include <adt/bitmap.h>
 #include <mm/slab.h>
@@ -45,4 +44,5 @@
 #include <arch.h>
 #include <align.h>
+#include <stdbool.h>
 
 /** Install I/O Permission bitmap.
Index: kernel/arch/amd64/src/kseg.c
===================================================================
--- kernel/arch/amd64/src/kseg.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/src/kseg.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,5 +34,4 @@
 
 #include <arch/kseg.h>
-#include <typedefs.h>
 #include <arch/asm.h>
 #include <panic.h>
Index: kernel/arch/amd64/src/mm/km.c
===================================================================
--- kernel/arch/amd64/src/mm/km.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/src/mm/km.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,6 +34,6 @@
 #include <mm/km.h>
 #include <config.h>
-#include <typedefs.h>
 #include <macros.h>
+#include <stdbool.h>
 
 void km_identity_arch_init(void)
Index: kernel/arch/amd64/src/proc/task.c
===================================================================
--- kernel/arch/amd64/src/proc/task.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/src/proc/task.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,5 +34,5 @@
 
 #include <proc/task.h>
-#include <typedefs.h>
+#include <stddef.h>
 #include <adt/bitmap.h>
 #include <mm/slab.h>
Index: kernel/arch/amd64/src/userspace.c
===================================================================
--- kernel/arch/amd64/src/userspace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/amd64/src/userspace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #include <arch/cpu.h>
 #include <arch/pm.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <arch.h>
 #include <abi/proc/uarg.h>
Index: kernel/arch/arm32/include/arch/arch.h
===================================================================
--- kernel/arch/arm32/include/arch/arch.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/arm32/include/arch/arch.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -42,5 +42,5 @@
 #define BOOTINFO_TASK_NAME_BUFLEN 32
 
-#include <typedefs.h>
+#include <stddef.h>
 
 typedef struct {
Index: kernel/arch/arm32/include/arch/cp15.h
===================================================================
--- kernel/arch/arm32/include/arch/cp15.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/arm32/include/arch/cp15.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,9 +37,5 @@
 #define KERN_arm32_CP15_H_
 
-#if defined(KERNEL) || defined(BOOT)
-#include <typedefs.h>
-#else
 #include <stdint.h>
-#endif
 
 /** See ARM Architecture reference manual ch. B3.17.1 page B3-1456
Index: kernel/arch/arm32/include/arch/cpu.h
===================================================================
--- kernel/arch/arm32/include/arch/cpu.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/arm32/include/arch/cpu.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,6 +37,6 @@
 #define KERN_arm32_CPU_H_
 
-#include <typedefs.h>
 #include <arch/asm.h>
+#include <stdint.h>
 
 enum {
Index: kernel/arch/arm32/include/arch/fpu_context.h
===================================================================
--- kernel/arch/arm32/include/arch/fpu_context.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/arm32/include/arch/fpu_context.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 
 #include <stdbool.h>
-#include <typedefs.h>
+#include <stdint.h>
 
 #define FPU_CONTEXT_ALIGN    8
Index: kernel/arch/arm32/include/arch/mm/asid.h
===================================================================
--- kernel/arch/arm32/include/arch/mm/asid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/arm32/include/arch/mm/asid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -39,5 +39,5 @@
 #define KERN_arm32_ASID_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 #define ASID_MAX_ARCH		3	/* minimal required number */
Index: kernel/arch/arm32/include/arch/mm/frame.h
===================================================================
--- kernel/arch/arm32/include/arch/mm/frame.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/arm32/include/arch/mm/frame.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -44,6 +44,4 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
-
 #define BOOT_PAGE_TABLE_SIZE     0x4000
 
Index: kernel/arch/arm32/include/arch/mm/page_fault.h
===================================================================
--- kernel/arch/arm32/include/arch/mm/page_fault.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/arm32/include/arch/mm/page_fault.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
 #define KERN_arm32_PAGE_FAULT_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 
Index: kernel/arch/ia32/include/arch/arch.h
===================================================================
--- kernel/arch/ia32/include/arch/arch.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/arch.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_ia32_ARCH_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 extern void ia32_pre_main(uint32_t, void *);
Index: kernel/arch/ia32/include/arch/boot/memmap.h
===================================================================
--- kernel/arch/ia32/include/arch/boot/memmap.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/boot/memmap.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -63,5 +63,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 extern e820memmap_t e820table[MEMMAP_E820_MAX_RECORDS];
Index: kernel/arch/ia32/include/arch/cpuid.h
===================================================================
--- kernel/arch/ia32/include/arch/cpuid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/cpuid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -43,6 +43,6 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
 #include <arch/cpu.h>
+#include <stdint.h>
 
 typedef struct {
Index: kernel/arch/ia32/include/arch/fpu_context.h
===================================================================
--- kernel/arch/ia32/include/arch/fpu_context.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/fpu_context.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_ia32_FPU_CONTEXT_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 #define FPU_CONTEXT_ALIGN  16
Index: kernel/arch/ia32/include/arch/interrupt.h
===================================================================
--- kernel/arch/ia32/include/arch/interrupt.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/interrupt.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,7 +36,7 @@
 #define KERN_ia32_INTERRUPT_H_
 
-#include <typedefs.h>
 #include <arch/istate.h>
 #include <arch/pm.h>
+#include <stdint.h>
 
 #define IVT_ITEMS  IDT_ITEMS
Index: kernel/arch/ia32/include/arch/mm/asid.h
===================================================================
--- kernel/arch/ia32/include/arch/mm/asid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/mm/asid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -43,5 +43,5 @@
 #define KERN_ia32_ASID_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 typedef int32_t asid_t;
Index: kernel/arch/ia32/include/arch/mm/frame.h
===================================================================
--- kernel/arch/ia32/include/arch/mm/frame.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/mm/frame.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -43,6 +43,4 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
-
 extern void frame_low_arch_init(void);
 extern void frame_high_arch_init(void);
Index: kernel/arch/ia32/include/arch/mm/page.h
===================================================================
--- kernel/arch/ia32/include/arch/mm/page.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/mm/page.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -146,5 +146,5 @@
 #include <mm/mm.h>
 #include <arch/interrupt.h>
-#include <typedefs.h>
+#include <stddef.h>
 
 /* Page fault error codes. */
Index: kernel/arch/ia32/include/arch/proc/task.h
===================================================================
--- kernel/arch/ia32/include/arch/proc/task.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/proc/task.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_ia32_TASK_H_
 
-#include <typedefs.h>
+#include <stddef.h>
 #include <adt/bitmap.h>
 
Index: kernel/arch/ia32/include/arch/proc/thread.h
===================================================================
--- kernel/arch/ia32/include/arch/proc/thread.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/proc/thread.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,4 @@
 #define KERN_ia32_THREAD_H_
 
-#include <typedefs.h>
-
 typedef struct {
 } thread_arch_t;
Index: kernel/arch/ia32/include/arch/smp/apic.h
===================================================================
--- kernel/arch/ia32/include/arch/smp/apic.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/smp/apic.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -41,6 +41,6 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
 #include <cpu.h>
+#include <stdint.h>
 
 #define FIXED  (0 << 0)
Index: kernel/arch/ia32/include/arch/smp/mps.h
===================================================================
--- kernel/arch/ia32/include/arch/smp/mps.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/smp/mps.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_ia32_MPS_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <synch/waitq.h>
 #include <config.h>
Index: kernel/arch/ia32/include/arch/smp/smp.h
===================================================================
--- kernel/arch/ia32/include/arch/smp/smp.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/smp/smp.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,6 @@
 #define KERN_ia32_SMP_H_
 
-#include <typedefs.h>
+#include <stdbool.h>
+#include <stddef.h>
 
 /** SMP config opertaions interface. */
Index: kernel/arch/ia32/include/arch/vreg.h
===================================================================
--- kernel/arch/ia32/include/arch/vreg.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/include/arch/vreg.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -40,5 +40,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 extern uint32_t *vreg_ptr;
Index: kernel/arch/ia32/src/cpu/cpu.c
===================================================================
--- kernel/arch/ia32/src/cpu/cpu.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/cpu/cpu.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 
 #include <arch.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <print.h>
 #include <fpu_context.h>
Index: kernel/arch/ia32/src/ddi/ddi.c
===================================================================
--- kernel/arch/ia32/src/ddi/ddi.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/ddi/ddi.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #include <arch/ddi/ddi.h>
 #include <proc/task.h>
-#include <typedefs.h>
+#include <stddef.h>
 #include <adt/bitmap.h>
 #include <mm/slab.h>
Index: kernel/arch/ia32/src/debug/stacktrace.c
===================================================================
--- kernel/arch/ia32/src/debug/stacktrace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/debug/stacktrace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,6 +34,7 @@
 
 #include <stacktrace.h>
+#include <stdbool.h>
+#include <stdint.h>
 #include <syscall/copy.h>
-#include <typedefs.h>
 
 #define FRAME_OFFSET_FP_PREV  0
Index: kernel/arch/ia32/src/drivers/i8254.c
===================================================================
--- kernel/arch/ia32/src/drivers/i8254.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/drivers/i8254.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
  */
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <time/clock.h>
 #include <time/delay.h>
Index: kernel/arch/ia32/src/drivers/i8259.c
===================================================================
--- kernel/arch/ia32/src/drivers/i8259.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/drivers/i8259.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -39,5 +39,5 @@
 #include <arch/drivers/i8259.h>
 #include <cpu.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <arch/asm.h>
 #include <arch.h>
Index: kernel/arch/ia32/src/ia32.c
===================================================================
--- kernel/arch/ia32/src/ia32.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/ia32.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
 #include <arch.h>
 #include <arch/arch.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <errno.h>
 #include <mem.h>
Index: kernel/arch/ia32/src/proc/task.c
===================================================================
--- kernel/arch/ia32/src/proc/task.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/proc/task.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,5 +34,5 @@
 
 #include <proc/task.h>
-#include <typedefs.h>
+#include <stddef.h>
 #include <adt/bitmap.h>
 #include <mm/slab.h>
Index: kernel/arch/ia32/src/syscall.c
===================================================================
--- kernel/arch/ia32/src/syscall.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/syscall.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,6 @@
 #include <arch/cpu.h>
 #include <arch/asm.h>
-#include <typedefs.h>
 #include <arch/pm.h>
+#include <stdint.h>
 
 #ifndef PROCESSOR_i486
Index: kernel/arch/ia32/src/userspace.c
===================================================================
--- kernel/arch/ia32/src/userspace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia32/src/userspace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -35,5 +35,5 @@
 #include <userspace.h>
 #include <arch/pm.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <arch.h>
 #include <abi/proc/uarg.h>
Index: kernel/arch/ia64/include/arch/cpu.h
===================================================================
--- kernel/arch/ia64/include/arch/cpu.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia64/include/arch/cpu.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,8 +36,8 @@
 #define KERN_ia64_CPU_H_
 
-#include <typedefs.h>
 #include <arch/register.h>
 #include <arch/asm.h>
 #include <arch/bootinfo.h>
+#include <stdint.h>
 #include <trace.h>
 
Index: kernel/arch/ia64/include/arch/fpu_context.h
===================================================================
--- kernel/arch/ia64/include/arch/fpu_context.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia64/include/arch/fpu_context.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 #define FPU_CONTEXT_ALIGN 16
 
-#include <typedefs.h>
+#include <stdint.h>
 
 #define FRS 96
Index: kernel/arch/ia64/include/arch/interrupt.h
===================================================================
--- kernel/arch/ia64/include/arch/interrupt.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia64/include/arch/interrupt.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,6 +37,6 @@
 
 #ifndef __ASM__
-#include <typedefs.h>
 #include <arch/istate.h>
+#include <stdint.h>
 #endif
 
Index: kernel/arch/ia64/include/arch/mm/asid.h
===================================================================
--- kernel/arch/ia64/include/arch/mm/asid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia64/include/arch/mm/asid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 typedef uint16_t asid_t;
Index: kernel/arch/ia64/src/debug/stacktrace.c
===================================================================
--- kernel/arch/ia64/src/debug/stacktrace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia64/src/debug/stacktrace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,4 +34,5 @@
 
 #include <stacktrace.h>
+#include <stdbool.h>
 #include <syscall/copy.h>
 #include <typedefs.h>
Index: kernel/arch/ia64/src/drivers/ski.c
===================================================================
--- kernel/arch/ia64/src/drivers/ski.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ia64/src/drivers/ski.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
 #include <console/chardev.h>
 #include <sysinfo/sysinfo.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <proc/thread.h>
 #include <synch/spinlock.h>
Index: kernel/arch/mips32/include/arch/arch.h
===================================================================
--- kernel/arch/mips32/include/arch/arch.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/include/arch/arch.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,6 @@
 #define KERN_mips32_ARCH_H_
 
-#include <typedefs.h>
+#include <stddef.h>
+#include <stdint.h>
 
 #define TASKMAP_MAX_RECORDS        32
Index: kernel/arch/mips32/include/arch/context.h
===================================================================
--- kernel/arch/mips32/include/arch/context.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/include/arch/context.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -39,5 +39,4 @@
 #include <arch/stack.h>
 #include <arch/context_struct.h>
-#include <typedefs.h>
 
 /*
Index: kernel/arch/mips32/include/arch/cp0.h
===================================================================
--- kernel/arch/mips32/include/arch/cp0.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/include/arch/cp0.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -35,4 +35,6 @@
 #ifndef KERN_mips32_CP0_H_
 #define KERN_mips32_CP0_H_
+
+#include <stdint.h>
 
 #define cp0_status_ie_enabled_bit     (1 << 0)
Index: kernel/arch/mips32/include/arch/cpu.h
===================================================================
--- kernel/arch/mips32/include/arch/cpu.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/include/arch/cpu.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,6 @@
 #define KERN_mips32_CPU_H_
 
-#include <typedefs.h>
 #include <arch/asm.h>
+#include <stdint.h>
 
 typedef struct {
Index: kernel/arch/mips32/include/arch/exception.h
===================================================================
--- kernel/arch/mips32/include/arch/exception.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/include/arch/exception.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_mips32_EXCEPTION_H_
 
-#include <typedefs.h>
 #include <arch/istate.h>
 
Index: kernel/arch/mips32/include/arch/interrupt.h
===================================================================
--- kernel/arch/mips32/include/arch/interrupt.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/include/arch/interrupt.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_mips32_INTERRUPT_H_
 
-#include <typedefs.h>
 #include <arch/exception.h>
 
Index: kernel/arch/mips32/include/arch/mm/asid.h
===================================================================
--- kernel/arch/mips32/include/arch/mm/asid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/include/arch/mm/asid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_mips32_ASID_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 #define ASID_MAX_ARCH  255    /* 2^8 - 1 */
Index: kernel/arch/mips32/include/arch/smp/dorder.h
===================================================================
--- kernel/arch/mips32/include/arch/smp/dorder.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/include/arch/smp/dorder.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_mips32_DORDER_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 extern uint32_t dorder_cpuid(void);
Index: kernel/arch/mips32/src/exception.c
===================================================================
--- kernel/arch/mips32/src/exception.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/src/exception.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,4 @@
 #include <panic.h>
 #include <arch/cp0.h>
-#include <typedefs.h>
 #include <arch.h>
 #include <debug.h>
Index: kernel/arch/mips32/src/smp/dorder.c
===================================================================
--- kernel/arch/mips32/src/smp/dorder.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/mips32/src/smp/dorder.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -33,5 +33,5 @@
  */
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <smp/ipi.h>
 #include <arch/smp/dorder.h>
Index: kernel/arch/ppc32/include/arch/boot/boot.h
===================================================================
--- kernel/arch/ppc32/include/arch/boot/boot.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ppc32/include/arch/boot/boot.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -44,7 +44,7 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
 #include <config.h>
 #include <genarch/ofw/ofw_tree.h>
+#include <stddef.h>
 
 typedef struct {
Index: kernel/arch/ppc32/include/arch/cpu.h
===================================================================
--- kernel/arch/ppc32/include/arch/cpu.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ppc32/include/arch/cpu.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_ppc32_CPU_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <trace.h>
 
Index: kernel/arch/ppc32/include/arch/mm/asid.h
===================================================================
--- kernel/arch/ppc32/include/arch/mm/asid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ppc32/include/arch/mm/asid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_ppc32_ASID_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 #define ASID_MAX_ARCH  4096
Index: kernel/arch/ppc32/include/arch/mm/frame.h
===================================================================
--- kernel/arch/ppc32/include/arch/mm/frame.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ppc32/include/arch/mm/frame.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -43,5 +43,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <trace.h>
 
Index: kernel/arch/ppc32/src/debug/stacktrace.c
===================================================================
--- kernel/arch/ppc32/src/debug/stacktrace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ppc32/src/debug/stacktrace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,4 +34,5 @@
 
 #include <stacktrace.h>
+#include <stdbool.h>
 #include <syscall/copy.h>
 #include <typedefs.h>
Index: kernel/arch/ppc32/src/interrupt.c
===================================================================
--- kernel/arch/ppc32/src/interrupt.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/ppc32/src/interrupt.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
 #include <arch/interrupt.h>
 #include <arch/istate.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <arch.h>
 #include <ipc/sysipc.h>
Index: kernel/arch/riscv64/include/arch/boot/boot.h
===================================================================
--- kernel/arch/riscv64/include/arch/boot/boot.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/include/arch/boot/boot.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -44,5 +44,6 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <config.h>
 
Index: kernel/arch/riscv64/include/arch/fpu_context.h
===================================================================
--- kernel/arch/riscv64/include/arch/fpu_context.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/include/arch/fpu_context.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_riscv64_FPU_CONTEXT_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 typedef struct {
Index: kernel/arch/riscv64/include/arch/mm/asid.h
===================================================================
--- kernel/arch/riscv64/include/arch/mm/asid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/include/arch/mm/asid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_riscv64_ASID_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 #define ASID_MAX_ARCH  4096
Index: kernel/arch/riscv64/include/arch/mm/frame.h
===================================================================
--- kernel/arch/riscv64/include/arch/mm/frame.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/include/arch/mm/frame.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -43,6 +43,4 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
-
 extern void frame_low_arch_init(void);
 extern void frame_high_arch_init(void);
Index: kernel/arch/riscv64/include/arch/mm/page.h
===================================================================
--- kernel/arch/riscv64/include/arch/mm/page.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/include/arch/mm/page.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -212,5 +212,5 @@
 #include <mm/mm.h>
 #include <arch/interrupt.h>
-#include <typedefs.h>
+#include <stdint.h>
 
 /** Page Table Entry. */
Index: kernel/arch/riscv64/include/arch/proc/task.h
===================================================================
--- kernel/arch/riscv64/include/arch/proc/task.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/include/arch/proc/task.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_riscv64_TASK_H_
 
-#include <typedefs.h>
+#include <stddef.h>
 
 typedef struct {
Index: kernel/arch/riscv64/src/cpu/cpu.c
===================================================================
--- kernel/arch/riscv64/src/cpu/cpu.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/src/cpu/cpu.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #include <cpu.h>
 #include <arch.h>
-#include <typedefs.h>
 #include <print.h>
 #include <fpu_context.h>
@@ -57,5 +56,5 @@
 }
 
-void cpu_print_report(cpu_t* cpu)
+void cpu_print_report(cpu_t *cpu)
 {
 }
Index: kernel/arch/riscv64/src/debug/stacktrace.c
===================================================================
--- kernel/arch/riscv64/src/debug/stacktrace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/src/debug/stacktrace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,4 +34,5 @@
 
 #include <stacktrace.h>
+#include <stdbool.h>
 #include <syscall/copy.h>
 #include <typedefs.h>
Index: kernel/arch/riscv64/src/mm/km.c
===================================================================
--- kernel/arch/riscv64/src/mm/km.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/src/mm/km.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -32,4 +32,5 @@
 
 #include <arch/mm/km.h>
+#include <stdbool.h>
 #include <typedefs.h>
 
Index: kernel/arch/riscv64/src/mm/page.c
===================================================================
--- kernel/arch/riscv64/src/mm/page.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/src/mm/page.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -39,5 +39,4 @@
 #include <mm/page.h>
 #include <mm/as.h>
-#include <typedefs.h>
 #include <align.h>
 #include <config.h>
Index: kernel/arch/riscv64/src/riscv64.c
===================================================================
--- kernel/arch/riscv64/src/riscv64.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/src/riscv64.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,5 +34,5 @@
 
 #include <arch.h>
-#include <typedefs.h>
+#include <stddef.h>
 #include <arch/interrupt.h>
 #include <arch/asm.h>
Index: kernel/arch/riscv64/src/userspace.c
===================================================================
--- kernel/arch/riscv64/src/userspace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/riscv64/src/userspace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -33,9 +33,7 @@
  */
 
+#include <abi/proc/uarg.h>
+#include <stdbool.h>
 #include <userspace.h>
-#include <typedefs.h>
-#include <arch.h>
-#include <abi/proc/uarg.h>
-#include <mm/as.h>
 
 void userspace(uspace_arg_t *kernel_uarg)
Index: kernel/arch/sparc64/include/arch/cpu.h
===================================================================
--- kernel/arch/sparc64/include/arch/cpu.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/cpu.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -54,5 +54,4 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
 #include <arch/register.h>
 #include <arch/regdef.h>
Index: kernel/arch/sparc64/include/arch/drivers/kbd.h
===================================================================
--- kernel/arch/sparc64/include/arch/drivers/kbd.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/drivers/kbd.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_sparc64_KBD_H_
 
-#include <typedefs.h>
 #include <genarch/ofw/ofw_tree.h>
 
Index: kernel/arch/sparc64/include/arch/drivers/pci.h
===================================================================
--- kernel/arch/sparc64/include/arch/drivers/pci.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/drivers/pci.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_sparc64_PCI_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <genarch/ofw/ofw_tree.h>
 #include <arch/arch.h>
Index: kernel/arch/sparc64/include/arch/drivers/scr.h
===================================================================
--- kernel/arch/sparc64/include/arch/drivers/scr.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/drivers/scr.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_sparc64_SCR_H_
 
-#include <typedefs.h>
 #include <genarch/ofw/ofw_tree.h>
 
Index: kernel/arch/sparc64/include/arch/fpu_context.h
===================================================================
--- kernel/arch/sparc64/include/arch/fpu_context.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/fpu_context.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_sparc64_FPU_CONTEXT_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 #define FPU_CONTEXT_ALIGN	8
Index: kernel/arch/sparc64/include/arch/interrupt.h
===================================================================
--- kernel/arch/sparc64/include/arch/interrupt.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/interrupt.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,4 @@
 #define KERN_sparc64_INTERRUPT_H_
 
-#include <typedefs.h>
 #include <arch/istate.h>
 
Index: kernel/arch/sparc64/include/arch/mm/asid.h
===================================================================
--- kernel/arch/sparc64/include/arch/mm/asid.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/mm/asid.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_sparc64_ASID_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 /*
Index: kernel/arch/sparc64/include/arch/mm/sun4u/mmu.h
===================================================================
--- kernel/arch/sparc64/include/arch/mm/sun4u/mmu.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/mm/sun4u/mmu.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -91,5 +91,5 @@
 #include <arch/asm.h>
 #include <arch/barrier.h>
-#include <typedefs.h>
+#include <stdint.h>
 
 #if defined(US)
Index: kernel/arch/sparc64/include/arch/mm/sun4u/tte.h
===================================================================
--- kernel/arch/sparc64/include/arch/mm/sun4u/tte.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/mm/sun4u/tte.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -49,5 +49,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 /* TTE tag's VA_tag field contains bits <63:VA_TAG_PAGE_SHIFT> of the VA */
Index: kernel/arch/sparc64/include/arch/mm/sun4v/tte.h
===================================================================
--- kernel/arch/sparc64/include/arch/mm/sun4v/tte.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/mm/sun4v/tte.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -50,5 +50,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 /** Translation Table Entry - Data. */
Index: kernel/arch/sparc64/include/arch/proc/thread.h
===================================================================
--- kernel/arch/sparc64/include/arch/proc/thread.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/proc/thread.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,7 +36,7 @@
 #define KERN_sparc64_THREAD_H_
 
-#include <typedefs.h>
 #include <arch/arch.h>
 #include <mm/slab.h>
+#include <stdint.h>
 
 extern slab_cache_t *uwb_cache;
Index: kernel/arch/sparc64/include/arch/register.h
===================================================================
--- kernel/arch/sparc64/include/arch/register.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/register.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
 
 #include <arch/regdef.h>
-#include <typedefs.h>
+#include <stdint.h>
 
 /** Version Register. */
Index: kernel/arch/sparc64/include/arch/smp/sun4v/smp.h
===================================================================
--- kernel/arch/sparc64/include/arch/smp/sun4v/smp.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/smp/sun4v/smp.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,6 +38,6 @@
 #define KERN_sparc64_sun4v_SMP_H_
 
-#include <typedefs.h>
 #include <arch/sun4v/cpu.h>
+#include <stdint.h>
 
 extern bool calculate_optimal_nrdy(exec_unit_t *);
Index: kernel/arch/sparc64/include/arch/sun4u/cpu.h
===================================================================
--- kernel/arch/sparc64/include/arch/sun4u/cpu.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/sun4u/cpu.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -54,9 +54,9 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
 #include <arch/register.h>
 #include <arch/regdef.h>
 #include <arch/asm.h>
 #include <arch/arch.h>
+#include <stdint.h>
 #include <trace.h>
 
Index: kernel/arch/sparc64/include/arch/sun4v/hypercall.h
===================================================================
--- kernel/arch/sparc64/include/arch/sun4v/hypercall.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/sun4v/hypercall.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup sparc64	
+/** @addtogroup sparc64
  * @{
  */
@@ -119,5 +119,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 /*
Index: kernel/arch/sparc64/include/arch/sun4v/ipi.h
===================================================================
--- kernel/arch/sparc64/include/arch/sun4v/ipi.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/sun4v/ipi.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 #define KERN_sparc64_sun4v_IPI_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 extern uint64_t ipi_brodcast_to(void (*)(void), uint16_t cpu_list[], uint64_t);
Index: kernel/arch/sparc64/include/arch/sun4v/md.h
===================================================================
--- kernel/arch/sparc64/include/arch/sun4v/md.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/sun4v/md.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_sparc64_sun4v_MD_H_
 
-#include <typedefs.h>
+#include <stdbool.h>
 
 /**
Index: kernel/arch/sparc64/include/arch/sun4v/register.h
===================================================================
--- kernel/arch/sparc64/include/arch/sun4v/register.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/sun4v/register.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
 
 #include <arch/regdef.h>
-#include <typedefs.h>
+#include <stdint.h>
 
 /** Processor State Register. */
Index: kernel/arch/sparc64/include/arch/trap/trap_table.h
===================================================================
--- kernel/arch/sparc64/include/arch/trap/trap_table.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/include/arch/trap/trap_table.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -45,5 +45,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 
 struct trap_table_entry {
Index: kernel/arch/sparc64/src/console.c
===================================================================
--- kernel/arch/sparc64/src/console.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/src/console.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,5 +34,4 @@
 
 #include <arch/console.h>
-#include <typedefs.h>
 
 #include <arch/drivers/scr.h>
Index: kernel/arch/sparc64/src/debug/stacktrace.c
===================================================================
--- kernel/arch/sparc64/src/debug/stacktrace.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/src/debug/stacktrace.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -34,6 +34,7 @@
 
 #include <stacktrace.h>
+#include <stdbool.h>
+#include <stdint.h>
 #include <syscall/copy.h>
-#include <typedefs.h>
 #include <proc/thread.h>
 
Index: kernel/arch/sparc64/src/drivers/scr.c
===================================================================
--- kernel/arch/sparc64/src/drivers/scr.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/src/drivers/scr.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -42,5 +42,5 @@
 #include <console/chardev.h>
 #include <console/console.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <str.h>
 #include <align.h>
Index: kernel/arch/sparc64/src/smp/sun4u/smp.c
===================================================================
--- kernel/arch/sparc64/src/smp/sun4u/smp.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/src/smp/sun4u/smp.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -41,5 +41,5 @@
 #include <config.h>
 #include <macros.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <synch/waitq.h>
 #include <log.h>
Index: kernel/arch/sparc64/src/smp/sun4v/smp.c
===================================================================
--- kernel/arch/sparc64/src/smp/sun4v/smp.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/src/smp/sun4v/smp.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -44,5 +44,7 @@
 #include <macros.h>
 #include <func.h>
-#include <typedefs.h>
+#include <stdbool.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <synch/waitq.h>
 #include <print.h>
Index: kernel/arch/sparc64/src/trap/interrupt.c
===================================================================
--- kernel/arch/sparc64/src/trap/interrupt.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/src/trap/interrupt.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -41,5 +41,5 @@
 #include <interrupt.h>
 #include <ddi/irq.h>
-#include <typedefs.h>
+#include <stdbool.h>
 #include <debug.h>
 #include <arch/asm.h>
Index: kernel/arch/sparc64/src/trap/sun4u/interrupt.c
===================================================================
--- kernel/arch/sparc64/src/trap/sun4u/interrupt.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/src/trap/sun4u/interrupt.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 #include <interrupt.h>
 #include <ddi/irq.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <debug.h>
 #include <arch/asm.h>
Index: kernel/arch/sparc64/src/trap/sun4v/interrupt.c
===================================================================
--- kernel/arch/sparc64/src/trap/sun4v/interrupt.c	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/arch/sparc64/src/trap/sun4v/interrupt.c	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 #include <interrupt.h>
 #include <ddi/irq.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <debug.h>
 #include <arch/asm.h>
Index: kernel/generic/include/adt/avl.h
===================================================================
--- kernel/generic/include/adt/avl.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/adt/avl.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 #include <stdbool.h>
 #include <stddef.h>
-#include <typedefs.h>
+#include <stdint.h>
 #include <trace.h>
 
Index: kernel/generic/include/adt/bitmap.h
===================================================================
--- kernel/generic/include/adt/bitmap.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/adt/bitmap.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_BITMAP_H_
 
-#include <typedefs.h>
+#include <stddef.h>
 
 #define BITMAP_ELEMENT   8
Index: kernel/generic/include/adt/btree.h
===================================================================
--- kernel/generic/include/adt/btree.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/adt/btree.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,6 @@
 #define KERN_BTREE_H_
 
-#include <typedefs.h>
 #include <adt/list.h>
+#include <stddef.h>
 
 #define BTREE_M		5
@@ -81,5 +81,5 @@
 	link_t leaf_link;
 
-	/* Variables needed by btree_print(). */	
+	/* Variables needed by btree_print(). */
 	link_t bfs_link;
 	int depth;
Index: kernel/generic/include/adt/list.h
===================================================================
--- kernel/generic/include/adt/list.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/adt/list.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,6 @@
 
 #include <debug.h>
-#include <typedefs.h>
+#include <stdbool.h>
+#include <stddef.h>
 #include <trace.h>
 
Index: kernel/generic/include/byteorder.h
===================================================================
--- kernel/generic/include/byteorder.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/byteorder.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_BYTEORDER_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 #if !(defined(__BE__) ^ defined(__LE__))
Index: kernel/generic/include/console/chardev.h
===================================================================
--- kernel/generic/include/console/chardev.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/console/chardev.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,6 @@
 
 #include <adt/list.h>
-#include <typedefs.h>
+#include <stdbool.h>
+#include <stddef.h>
 #include <synch/waitq.h>
 #include <synch/spinlock.h>
Index: kernel/generic/include/context.h
===================================================================
--- kernel/generic/include/context.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/context.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_CONTEXT_H_
 
-#include <typedefs.h>
 #include <trace.h>
 #include <arch/context.h>
Index: kernel/generic/include/func.h
===================================================================
--- kernel/generic/include/func.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/func.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_FUNC_H_
 
-#include <typedefs.h>
 #include <atomic.h>
 
Index: kernel/generic/include/gsort.h
===================================================================
--- kernel/generic/include/gsort.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/gsort.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
 
 #include <stdbool.h>
-#include <typedefs.h>
+#include <stddef.h>
 
 typedef int (* sort_cmp_t)(void *, void *, void *);
Index: kernel/generic/include/lib/elf.h
===================================================================
--- kernel/generic/include/lib/elf.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/lib/elf.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,4 @@
 #define KERN_ELF_H_
 
-#include <typedefs.h>
 #include <abi/elf.h>
 #include <arch/elf.h>
Index: kernel/generic/include/lib/elf_load.h
===================================================================
--- kernel/generic/include/lib/elf_load.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/lib/elf_load.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,4 @@
 
 #include <arch/elf.h>
-#include <typedefs.h>
 
 /**
Index: kernel/generic/include/lib/memfnc.h
===================================================================
--- kernel/generic/include/lib/memfnc.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/lib/memfnc.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_LIB_MEMFNC_H_
 
-#include <typedefs.h>
+#include <stddef.h>
 #include <cc.h>
 
Index: kernel/generic/include/lib/rd.h
===================================================================
--- kernel/generic/include/lib/rd.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/lib/rd.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_RD_H_
 
-#include <typedefs.h>
+#include <stddef.h>
 
 extern void init_rd(void *, size_t);
Index: kernel/generic/include/log.h
===================================================================
--- kernel/generic/include/log.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/log.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,6 @@
 #define KERN_LOG_H_
 
-#include <typedefs.h>
 #include <stdarg.h>
+#include <stddef.h>
 #include <printf/verify.h>
 #include <abi/log.h>
Index: kernel/generic/include/macros.h
===================================================================
--- kernel/generic/include/macros.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/macros.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -38,5 +38,5 @@
 #ifndef __ASM__
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <trace.h>
 
Index: kernel/generic/include/mem.h
===================================================================
--- kernel/generic/include/mem.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/mem.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,6 @@
 #define KERN_MEM_H_
 
-#include <typedefs.h>
+#include <stddef.h>
+#include <stdint.h>
 #include <cc.h>
 
Index: kernel/generic/include/mm/reserve.h
===================================================================
--- kernel/generic/include/mm/reserve.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/mm/reserve.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,5 @@
 
 #include <stdbool.h>
-#include <typedefs.h>
+#include <stddef.h>
 
 extern void reserve_init(void);
Index: kernel/generic/include/print.h
===================================================================
--- kernel/generic/include/print.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/print.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,6 @@
 #define KERN_PRINT_H_
 
-#include <typedefs.h>
 #include <stdarg.h>
+#include <stddef.h>
 #include <printf/verify.h>
 
Index: kernel/generic/include/printf/printf_core.h
===================================================================
--- kernel/generic/include/printf/printf_core.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/printf/printf_core.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,6 +36,6 @@
 #define KERN_PRINTF_CORE_H_
 
-#include <typedefs.h>
 #include <stdarg.h>
+#include <stddef.h>
 
 /** Structure for specifying output methods for different printf clones. */
Index: kernel/generic/include/proc/scheduler.h
===================================================================
--- kernel/generic/include/proc/scheduler.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/proc/scheduler.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,7 +36,7 @@
 #define KERN_SCHEDULER_H_
 
+#include <stddef.h>
 #include <synch/spinlock.h>
 #include <time/clock.h>
-#include <typedefs.h>
 #include <atomic.h>
 #include <adt/list.h>
Index: kernel/generic/include/stdint.h
===================================================================
--- kernel/generic/include/stdint.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/stdint.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,4 +36,6 @@
 #define KERN_STDINT_H_
 
+#include <arch/common.h>
+
 #define INT8_MIN  INT8_C(0x80)
 #define INT8_MAX  INT8_C(0x7F)
Index: kernel/generic/include/str.h
===================================================================
--- kernel/generic/include/str.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/str.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -37,5 +37,6 @@
 
 #include <stdbool.h>
-#include <typedefs.h>
+#include <stddef.h>
+#include <stdint.h>
 
 /**< Common Unicode characters */
Index: kernel/generic/include/synch/condvar.h
===================================================================
--- kernel/generic/include/synch/condvar.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/synch/condvar.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_CONDVAR_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <synch/waitq.h>
 #include <synch/mutex.h>
Index: kernel/generic/include/synch/mutex.h
===================================================================
--- kernel/generic/include/synch/mutex.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/synch/mutex.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,6 @@
 #define KERN_MUTEX_H_
 
-#include <typedefs.h>
+#include <stdbool.h>
+#include <stdint.h>
 #include <synch/semaphore.h>
 #include <abi/synch.h>
Index: kernel/generic/include/synch/semaphore.h
===================================================================
--- kernel/generic/include/synch/semaphore.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/synch/semaphore.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_SEMAPHORE_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 #include <synch/waitq.h>
 #include <abi/synch.h>
Index: kernel/generic/include/synch/spinlock.h
===================================================================
--- kernel/generic/include/synch/spinlock.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/synch/spinlock.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_SPINLOCK_H_
 
-#include <typedefs.h>
+#include <stdbool.h>
 #include <arch/barrier.h>
 #include <preemption.h>
Index: kernel/generic/include/syscall/copy.h
===================================================================
--- kernel/generic/include/syscall/copy.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/syscall/copy.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_COPY_H_
 
-#include <typedefs.h>
+#include <stddef.h>
 
 /** Label within memcpy_from_uspace() that contains return -1. */
Index: kernel/generic/include/time/delay.h
===================================================================
--- kernel/generic/include/time/delay.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/time/delay.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,5 +36,5 @@
 #define KERN_DELAY_H_
 
-#include <typedefs.h>
+#include <stdint.h>
 
 extern void delay(uint32_t microseconds);
Index: kernel/generic/include/time/timeout.h
===================================================================
--- kernel/generic/include/time/timeout.h	(revision 44a7ee5373ccc121fce74799244a44867eed301d)
+++ kernel/generic/include/time/timeout.h	(revision 83dab11c929c1a48613d4dc70ed8ca9113463484)
@@ -36,7 +36,7 @@
 #define KERN_TIMEOUT_H_
 
-#include <typedefs.h>
 #include <adt/list.h>
 #include <cpu.h>
+#include <stdint.h>
 
 typedef void (* timeout_handler_t)(void *arg);
